﻿Imports System
Imports System.Windows.Forms
Imports Syncfusion.Windows.Forms.Chart

Namespace WindowsFormsApplication11
	Partial Public Class Form1
		Inherits Form

		Public Sub New()
			InitializeComponent()
		End Sub

		Private Sub Form1_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
			Dim chart As New ChartControl()
			Dim series As New ChartSeries()
			Dim series1 As New ChartSeries()

			chart.PrimaryXAxis.Range = New MinMaxInfo(1, 8, 0)
			series.Type = ChartSeriesType.Line
			series.Points.Add(1, 400)
			series.Points.Add(2, 385)
			series.Points.Add(3, 412)
			series.Points.Add(4, 467)
			series.Points.Add(5, 478)
			series.Points.Add(6, 397)
			series.Points.Add(7, 355)
			series.Points.Add(8, 456)
			series.Points.Add(9, 409)

            chart.Series.Add(series)

			AddHandler chart.ChartFormatAxisLabel, AddressOf chart_ChartFormatAxisLabel

            chart.Height = 250
			chart.Width = 500
			Me.Controls.Add(chart)
        End Sub

		Private i As Integer = 0
		Private labels() As String = { "Joe", "Jane","lbl3","lbl4","lbl5","lbl6","lbl7","lbl8"}
		Private Sub chart_ChartFormatAxisLabel(ByVal sender As Object, ByVal e As ChartFormatAxisLabelEventArgs)
			If e.AxisOrientation = ChartOrientation.Horizontal Then
				e.Label = labels(i).ToString()
				If i < labels.Length-1 Then
					i += 1
				Else
					i = 0
				End If
				e.Handled = True
			End If
        End Sub

	End Class
End Namespace
